//
//  SSFacebookPricePointsMobileReader.h
//  FacebookConnection
//
//  Created by 冯 鸿杰 on 13-10-23.
//  Copyright (c) 2013年 掌淘科技. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 *	@brief	PricePointsMobile class
 */
@interface SSFacebookPricePointsMobileReader : NSObject
{
@private
    NSDictionary *_sourceData;
}

/**
 *	@brief	源数据
 */
@property (nonatomic,readonly) NSDictionary *sourceData;

@property (nonatomic,readonly) NSString *userPrice;

@property (nonatomic,readonly) NSInteger credits;

@property (nonatomic,readonly) NSString *localCurrency;

/**
 *	@brief	初始化读取器
 *
 *	@param 	sourceData 	原数据
 *
 *	@return	读取器实例对象
 */
- (id)initWithSourceData:(NSDictionary *)sourceData;

/**
 *	@brief	创建读取器
 *
 *	@param 	sourceData 	原数据
 *
 *	@return	读取器实例对象
 */
+ (SSFacebookPricePointsMobileReader *)readerWithSourceData:(NSDictionary *)sourceData;

@end
