//
//  SSFacebookVideoUploadLimitsReader.h
//  FacebookConnection
//
//  Created by 冯 鸿杰 on 13-10-23.
//  Copyright (c) 2013年 掌淘科技. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 *	@brief	视频上传限制
 */
@interface SSFacebookVideoUploadLimitsReader : NSObject
{
@private
    NSDictionary *_sourceData;
}

/**
 *	@brief	源数据
 */
@property (nonatomic,readonly) NSDictionary *sourceData;

/**
 *	@brief	限制长度
 */
@property (nonatomic,readonly) NSInteger length;

/**
 *	@brief	限制大小
 */
@property (nonatomic,readonly) NSInteger size;

/**
 *	@brief	初始化读取器
 *
 *	@param 	sourceData 	原数据
 *
 *	@return	读取器实例对象
 */
- (id)initWithSourceData:(NSDictionary *)sourceData;

/**
 *	@brief	创建读取器
 *
 *	@param 	sourceData 	原数据
 *
 *	@return	读取器实例对象
 */
+ (SSFacebookVideoUploadLimitsReader *)readerWithSourceData:(NSDictionary *)sourceData;

@end
